import numpy as np
import matplotlib.pyplot as plt
from matplotlib import rcParams

# rcParams dict
rcParams['axes.labelsize'] = 50
rcParams['xtick.labelsize'] = 46
rcParams['ytick.labelsize'] = 46
rcParams['legend.fontsize'] = 36
rcParams['font.family'] = 'sans serif'
rcParams['font.serif'] = ['Helvetica']
rcParams['text.usetex'] = True
rcParams['figure.figsize'] = 10, 10



x = np.linspace(0,1,100)

plt.figure()
plt.plot(x, np.exp(-x), linewidth=2., color='k', label=r'$\phi(x)=e^{-x}$')
plt.plot(x, x, linewidth=2., color='b')
plt.arrow(0.2, 0.2, 0, np.exp(-0.2)-0.225, facecolor='Grey', edgecolor='Grey')
plt.arrow(0.2, np.exp(-0.2), np.exp(-0.2)-0.225, 0., facecolor='Grey', edgecolor='Grey')
plt.arrow(0.2, np.exp(-0.2), np.exp(-0.2)-0.225, 0., facecolor='Grey', edgecolor='Grey')
plt.arrow(0.81, 0.81, 0., 0.11-np.exp(-0.81), facecolor='Grey', edgecolor='Grey')
plt.arrow(0.81, np.exp(-0.81), 0.45-0.785, 0., facecolor='Grey', edgecolor='Grey')
plt.arrow(0.45, 0.45, 0., np.exp(-0.45)-0.48, facecolor='Grey', edgecolor='Grey')
plt.arrow(0.45, np.exp(-0.45), 0.62-0.46, 0., facecolor='Grey', edgecolor='Grey')
plt.arrow(0.635, 0.635, 0., np.exp(-0.635)-0.6, facecolor='Grey', edgecolor='Grey')
plt.legend(loc=4, frameon=False)
plt.tick_params(axis='x', pad=12)
plt.tight_layout()
plt.show()

def phi(x):
    return np.exp(-x)
    
x0 = 0.2
x = []
x.append(x0)

for i in xrange(10):
    x.append(phi(x[i]))

print x